import Stigg from '@stigg/typescript';
const client = new Stigg({
apiKey: process.env['STIGG_API_KEY'], // This is the default and can be omitted
});
const subscription = await client.v1.subscriptions.transfer('x', {
destinationResourceId: 'destinationResourceId',
});
console.log(subscription.data);import os
from stigg import Stigg
client = Stigg(
api_key=os.environ.get("STIGG_API_KEY"), # This is the default and can be omitted
)
subscription = client.v1.subscriptions.transfer(
id="x",
destination_resource_id="destinationResourceId",
)
print(subscription.data)package main
import (
"context"
"fmt"
"github.com/stiggio/stigg-go"
"github.com/stiggio/stigg-go/option"
)
func main() {
client := stigg.NewClient(
option.WithAPIKey("My API Key"),
)
subscription, err := client.V1.Subscriptions.Transfer(
context.TODO(),
"x",
stigg.V1SubscriptionTransferParams{
DestinationResourceID: "destinationResourceId",
},
)
if err != nil {
panic(err.Error())
}
fmt.Printf("%+v\n", subscription.Data)
}package io.stigg.example;
import io.stigg.client.StiggClient;
import io.stigg.client.okhttp.StiggOkHttpClient;
import io.stigg.models.v1.subscriptions.Subscription;
import io.stigg.models.v1.subscriptions.SubscriptionTransferParams;
public final class Main {
private Main() {}
public static void main(String[] args) {
StiggClient client = StiggOkHttpClient.fromEnv();
SubscriptionTransferParams params = SubscriptionTransferParams.builder()
.id("x")
.destinationResourceId("destinationResourceId")
.build();
Subscription subscription = client.v1().subscriptions().transfer(params);
}
}require "stigg"
stigg = Stigg::Client.new(api_key: "My API Key")
subscription = stigg.v1.subscriptions.transfer("x", destination_resource_id: "destinationResourceId")
puts(subscription)using System;
using Stigg.Client;
using Stigg.Client.Models.V1.Subscriptions;
StiggClient client = new();
SubscriptionTransferParams parameters = new()
{
ID = "x",
DestinationResourceID = "destinationResourceId",
};
var subscription = await client.V1.Subscriptions.Transfer(parameters);
Console.WriteLine(subscription);stigg v1:subscriptions transfer \
--api-key 'My API Key' \
--id x \
--destination-resource-id destinationResourceIdcurl --request POST \
--url https://api.stigg.io/api/v1/subscriptions/{id}/transfer \
--header 'Content-Type: application/json' \
--header 'X-API-KEY: <api-key>' \
--data '
{
"destinationResourceId": "<string>"
}
'<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.stigg.io/api/v1/subscriptions/{id}/transfer",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "POST",
CURLOPT_POSTFIELDS => json_encode([
'destinationResourceId' => '<string>'
]),
CURLOPT_HTTPHEADER => [
"Content-Type: application/json",
"X-API-KEY: <api-key>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}{
"data": {
"id": "<string>",
"customerId": "<string>",
"billingId": "<string>",
"createdAt": "2023-11-07T05:31:56Z",
"startDate": "2023-11-07T05:31:56Z",
"planId": "<string>",
"payingCustomerId": "<string>",
"resourceId": "<string>",
"endDate": "2023-11-07T05:31:56Z",
"effectiveEndDate": "2023-11-07T05:31:56Z",
"cancellationDate": "2023-11-07T05:31:56Z",
"trialEndDate": "2023-11-07T05:31:56Z",
"metadata": {},
"currentBillingPeriodStart": "2023-11-07T05:31:56Z",
"currentBillingPeriodEnd": "2023-11-07T05:31:56Z",
"billingCycleAnchor": "2023-11-07T05:31:56Z",
"prices": [],
"addons": [],
"coupons": [],
"futureUpdates": [],
"budget": {
"limit": 123,
"hasSoftLimit": true
},
"minimumSpend": {
"amount": 123
},
"subscriptionEntitlements": [],
"latestInvoice": {
"billingId": "<string>",
"createdAt": "2023-11-07T05:31:56Z",
"requiresAction": true,
"total": 123,
"amountDue": 123,
"currency": "<string>",
"pdfUrl": "<string>"
},
"trial": {}
}
}{
"message": "<string>"
}{
"message": "<string>",
"code": "Unauthenticated"
}{
"message": "<string>"
}{
"message": "<string>"
}{
"message": "<string>",
"code": "RateLimitExceeded"
}Transfer subscription to resource
Transfers a subscription to a different resource ID. Used for multi-resource products where subscriptions apply to specific entities like websites or apps.
import Stigg from '@stigg/typescript';
const client = new Stigg({
apiKey: process.env['STIGG_API_KEY'], // This is the default and can be omitted
});
const subscription = await client.v1.subscriptions.transfer('x', {
destinationResourceId: 'destinationResourceId',
});
console.log(subscription.data);import os
from stigg import Stigg
client = Stigg(
api_key=os.environ.get("STIGG_API_KEY"), # This is the default and can be omitted
)
subscription = client.v1.subscriptions.transfer(
id="x",
destination_resource_id="destinationResourceId",
)
print(subscription.data)package main
import (
"context"
"fmt"
"github.com/stiggio/stigg-go"
"github.com/stiggio/stigg-go/option"
)
func main() {
client := stigg.NewClient(
option.WithAPIKey("My API Key"),
)
subscription, err := client.V1.Subscriptions.Transfer(
context.TODO(),
"x",
stigg.V1SubscriptionTransferParams{
DestinationResourceID: "destinationResourceId",
},
)
if err != nil {
panic(err.Error())
}
fmt.Printf("%+v\n", subscription.Data)
}package io.stigg.example;
import io.stigg.client.StiggClient;
import io.stigg.client.okhttp.StiggOkHttpClient;
import io.stigg.models.v1.subscriptions.Subscription;
import io.stigg.models.v1.subscriptions.SubscriptionTransferParams;
public final class Main {
private Main() {}
public static void main(String[] args) {
StiggClient client = StiggOkHttpClient.fromEnv();
SubscriptionTransferParams params = SubscriptionTransferParams.builder()
.id("x")
.destinationResourceId("destinationResourceId")
.build();
Subscription subscription = client.v1().subscriptions().transfer(params);
}
}require "stigg"
stigg = Stigg::Client.new(api_key: "My API Key")
subscription = stigg.v1.subscriptions.transfer("x", destination_resource_id: "destinationResourceId")
puts(subscription)using System;
using Stigg.Client;
using Stigg.Client.Models.V1.Subscriptions;
StiggClient client = new();
SubscriptionTransferParams parameters = new()
{
ID = "x",
DestinationResourceID = "destinationResourceId",
};
var subscription = await client.V1.Subscriptions.Transfer(parameters);
Console.WriteLine(subscription);stigg v1:subscriptions transfer \
--api-key 'My API Key' \
--id x \
--destination-resource-id destinationResourceIdAuthorizations
Server API Key
Headers
Account ID — optional when authenticating with a user JWT (Bearer token); falls back to the user's first membership. Ignored for API-key auth.
Environment ID — required when authenticating with a user JWT (Bearer token) on environment-scoped endpoints. Ignored for API-key auth (env is intrinsic to the key).
Path Parameters
The unique identifier of the entity
1 - 255Body
Transfer a subscription to a different resource within the same customer. The subscription maintains its plan, billing cycle, and entitlements but is moved to the specified destination resource.
Resource ID to transfer the subscription to
1 - 255^[a-zA-Z0-9][a-zA-Z0-9_|.-]*$Response
The updated subscription object.
Response object
Customer subscription to a plan
Show child attributes
Show child attributes
